# Sends a message to an entry in the directory

Endpoint: POST /directories/{tenantId}/public/sendMessage/{directoryId}/{entryId}
Version: v1-2025-04-18

## Path parameters:

  - `tenantId` (string, required)
    Parameters to the query

  - `directoryId` (string, required)
    directory

  - `entryId` (string, required)
    The id of the entry

## Request body:

  - `application/json` (unknown)
    The message to send

## Request fields (application/json):

  - `bcc` (string)
    Anyone that should be bcc'ed on the email

  - `body` (string, required)
    The email body

  - `cc` (string)
    Anyone that should be cc'ed on the email

  - `from` (string)
    From email address

  - `from_name` (string)
    From name

  - `reply_to` (string)
    The reply to

  - `subject` (string, required)
    The email subject

## Response 200:

  - `200` (unknown)
    The contact was merged successfully.

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The contact supplied was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The contact could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The contact could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to merge contact based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

